
** This file recreates Table 4 from the main paper

***
** Drop those that did not match
keep if merge2015==3


set more off

***********************
*gen dose_civics = dosage*civics
label variable dose_civics "High Dosage x Civics"	

local order treatment infoonly civics public private t1t3 t1t4 t2t3 t2t4 dose_civics

areg incumbent_share treatment   if goodnews==1, absorb(blid) vce(cluster newid)
outreg2 using "Tables/res1a_2.tex", replace dec(3) ctitle("All") tex(fra) label sortvar(`order') nonotes ///
		addnote("In parentheses, robust standard errors clustered by commune in model 1 and commune x treatment,"" , ""otherwise. Models include block fixed effects. *** p$<$0.01, ** p$<$0.05, * p$<$0.1.") 
	
areg incumbent_share treatment   if goodnews==1&dosage==0, absorb(blid) vce(cluster newid)
		outreg2 using "Tables/res1a_2.tex", append dec(3) ctitle("Low", "Dose") sortvar(`order') tex(fra) label nonotes

areg incumbent_share treatment   if goodnews==1&dosage==1, absorb(blid) vce(cluster newid)
		outreg2 using "Tables/res1a_2.tex", append dec(3) ctitle("High", "Dose") sortvar(`order') tex(fra) label nonotes
	
areg incumbent_share infoonly civics   if goodnews==1&dosage==1, absorb(blid) vce(cluster newid)
		outreg2 using "Tables/res1a_2.tex", append dec(3) ctitle("High", "Dose") sortvar(`order') tex(fra) label nonotes
		test infoonly=civics
	
areg incumbent_share private public   if goodnews==1&dosage==1& village!="ADJOZOUNME", absorb(blid) vce(cluster newid)
		outreg2 using "Tables/res1a_2.tex", append dec(3) ctitle("High", "Dose") sortvar(`order') tex(fra) label nonotes
		test private=public

areg incumbent_share infoonly civics dose_civics  if goodnews==1, absorb(blid) vce(cluster newid)
	outreg2 using "Tables/res1a_2.tex", append dec(3) ctitle("All") sortvar(`order') tex(fra) label nonotes
