
** This file recreates Table 4 from the main paper

set more off

***********************
encode party, gen(nparty)

label define goodnews 0 "Bad News" 1 "Good News"
label values goodnews goodnews

reg endlineeq_11_pub i.dosage##i.goodnews##i.public i.nparty if endlineeq_11_pub<20 & infoonly!=1, vce(cluster quartier)
margins, dydx(public) by(goodnews dosage)
marginsplot, ytitle (Marginal Effect of Treatment on Expected Vote Share, size(medsmall)) ///
	graphregion(fcolor(white) ilcolor(white) lcolor(white)) ///
	plot1opts(msymbol(O) mcolor(gs10) lcolor(gs10) ) ci1opts(lcolor(gs10) )   ///
	plot2opts(msymbol(O) mcolor(black) lcolor(black) ) ci2opts(lcolor(black) )   ///
	title("")  xscale(range(-0.25 1.25)) xlabel(, nogrid) ylabel(, nogrid) ///
	xtitle("") legend(pos(6) ring(0) col(1) region(lcolor(white) )) plotopts(connect(none)) yline(0, lpattern(dash) lcolor(black))
graph export Figures/ExpectedVoteShare.pdf, replace
